	$(".quick_order").on('click', function(e){
		e.preventDefault();
		var product_id = $(this).attr("data-product-id");
		var variants = [];
		$(this).closest('form').find("input[name^='option_select_hidden_']").each(function() {
			variants.push($(this).val());
		});
		variants_str = (variants.length > 0) ? variants.join(",") : "";
		$.ajax({
			type: "POST",
			url: "/index.php?do=quick_order&quick_order=yes",
			data: {product_id: product_id, variants: variants_str},
			beforeSend: function(){
				$(".loading").show();
			},	
			error: function(req, text, error) {
				form_msg('Ошибка AJAX: ' + text + '<br />' + error, 'error');
				$(".loading").hide();	
			},			
			success: function(e){ 
				$("#quick_modal .styleModalBody").get(0).innerHTML = e;
				openModal('quick_modal');
				$(".loading").hide();
				
				script = $("#quick_modal").find('script').text();
				var y = document.createElement('script');
				y.defer = true;
				y.text = script;
				document.getElementById('quick_modal').appendChild(y);
			}		
		});
	});
	
	$(document).on('click', '#submit_quick_order', function(e){
		e.preventDefault();
		var form = $(this).closest('form'),
			error = check_form(form);
			
		if(!error) {
			if($(this).closest("form").find(".invisibleCaptcha").length) {
				var idCaptcha = $(this).closest("form").find(".invisibleCaptcha").attr("data-captcha");
				grecaptcha.execute(idCaptcha);
			} else {
				quick_order_submit();
			}
		} else {
			form_msg(error, 'error');
		}
	});
	
	function quick_order_submit() {
		var product_id = $("input[name=quick_id]").val(),
			fio = $("input[name=quick_fio]").val(),
			email = $("input[name=quick_Email]").val(),
			address = $("textarea[name=addressStr]").val(),
			fields = $("input[name^='additional_field_']").serializeArray(),
			captcha = $('#quick_modal .g-recaptcha-response').val(),
			variants = $('input[name=quick_variants]').val();
	
			$.ajax({
				type: "POST",
				url: "/index.php?do=quick_order&send_quick_order=yes",
				data: {product_id:product_id, fio:fio, email:email, address:address, fields:fields, variants:variants, gRecaptchaResponse:captcha },
				beforeSend: function(){
					$(".loading").show();
				},	
				error: function(req, text, error) {
					form_msg('Ошибка AJAX: ' + text + '<br />' + error, 'error');
					$(".loading").hide();	
				},			
				success: function(response){ 
					if(response) data = jQuery.parseJSON(response);
					$('#quick_modal .styleModalBody').html(data.text);
					$(".loading").hide();	
				}
			});
	}
	